from typing import TYPE_CHECKING
from django.contrib.auth.models import User as DjangoUser

if TYPE_CHECKING:
    from .models import UserProfile

class User(DjangoUser):
    """Тип для Django User с кастомной моделью UserProfile"""
    userprofile: 'UserProfile'
